Subject: bug#50256: thing-at-mouse

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Sep 2021 19:12:50 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 01 Sep 2021 18:44:49 +0300
> 
> In emacs -Q evaluate:
> 
>   (with-current-buffer "*Messages*"
>     (mouse-set-point last-input-event))
> 
> and it moves point in *scratch* to the position of point of
> the *Messages* buffer.

I don't follow: what do you expect to be in last-input-event in this
case, and how is that relevant to mouse clicks, when the mouse is not
even involved in this scenario?

I fear I'm missing something very important here.